
QGIS Application - Bug report #8469

TopologyChecker crash

2013-08-14 11:50 AM - Rhenriques Henriques

Status: Closed

Priority: Severe/Regression

Assignee: vinayan Parameswaran

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 17237

Description

While using the "impressive" TopologyChecker in QGIS 2.0 DEV, QGIS crashed. This happens if we have a raster layer behind the shp

layer. Without any raster layer, the plug-in works without any problem. This feature, for itself, worth the risk of working in the 2.0 beta

version. 

Cheers

Associated revisions

Revision 9d197521 - 2013-08-15 09:12 PM - Salvatore Larosa

[topology-checker] skips raster layers: fixes #8469

Revision 20463424 - 2013-08-15 09:56 PM - Werner Macho

Merge pull request #814 from slarosa/fix_8469

[topology-checker] skips raster layers: fixes #8469

History

#1 - 2013-08-15 08:53 AM - Salvatore Larosa

- Category changed from Vectors to C++ Plugins

- Crashes QGIS or corrupts data changed from No to Yes

- Operating System deleted (MacOSX)

- Priority changed from Normal to Severe/Regression

I can confirm it here on linux!

#2 - 2013-08-15 08:56 AM - Giovanni Manghi

- Assignee set to vinayan Parameswaran

#3 - 2013-08-15 12:17 PM - Salvatore Larosa

- Pull Request or Patch supplied changed from No to Yes

This patch has worked for me: https://github.com/qgis/Quantum-GIS/pull/814

2024-04-17 1/2

https://github.com/qgis/Quantum-GIS/pull/814


#4 - 2013-08-15 12:56 PM - Werner Macho

- Status changed from Open to Closed

Fixed in changeset commit:"204634240960d3c325166e652870ba7ed95fb348".

#5 - 2013-08-16 02:36 PM - Rhenriques Henriques

Perfect! Working smoothly now. Thanks for the quick fix. Cheers
